<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2004 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "tabella3.php";
$titolo = "tabelle mesi";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/funzioni_testo.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tableclienti = $PHPR_TAB_PRE."clienti";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tableregole = $PHPR_TAB_PRE."regole".$anno;


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,2,1) == "s") $vedi_clienti = "SI";
if (substr($priv_ins_clienti,2,1) == "p") $vedi_clienti = "PROPRI";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
$priv_mod_prenota = risul_query($privilegi_annuali_utente,0,priv_mod_prenota);
$priv_mod_prenotazioni = substr($priv_mod_prenota,0,1);
$priv_mod_prenota_iniziate = substr($priv_mod_prenota,11,1);
$priv_mod_prenota_ore = substr($priv_mod_prenota,12,3);
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_mesi = substr($priv_vedi_tab,0,1);
if ($priv_vedi_tab_mesi == "p") {
$regole1_consentite = risul_query($privilegi_annuali_utente,0,regole1_consentite);
$attiva_regole1_consentite = substr($regole1_consentite,0,1);
if ($attiva_regole1_consentite != "n") $regole1_consentite = explode("#@^",substr($regole1_consentite,3));
$tariffe_consentite = risul_query($privilegi_annuali_utente,0,tariffe_consentite);
$attiva_tariffe_consentite = substr($tariffe_consentite,0,1);
if ($attiva_tariffe_consentite == "s") {
$tariffe_consentite = explode(",",substr($tariffe_consentite,2));
unset($tariffe_consentite_vett);
for ($num1 = 0 ; $num1 < count($tariffe_consentite) ; $num1++) if ($tariffe_consentite[$num1]) $tariffe_consentite_vett[$tariffe_consentite[$num1]] = "SI";
} # fine if ($attiva_tariffe_consentite == "s")
$priv_ins_prenota = risul_query($privilegi_annuali_utente,0,priv_ins_prenota);
$priv_ins_nuove_prenota = substr($priv_ins_prenota,0,1);
$priv_ins_assegnazione_app = substr($priv_ins_prenota,1,1);
$priv_mod_assegnazione_app = substr($priv_mod_prenota,2,1);
} # fine if ($priv_vedi_tab_mesi == "p")
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$vedi_clienti = "SI";
$priv_mod_prenotazioni = "s";
$priv_mod_prenota_iniziate = "s";
$priv_mod_prenota_ore = "000";
$priv_vedi_tab_mesi = "s";
} # fine else if ($id_utente != 1)
if ($anno_utente_attivato == "SI" and $priv_vedi_tab_mesi != "n") {

if (@is_file("./dati/dati_subordinazione.php")) $priv_mod_prenotazioni = "n";


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


#$tabelle_lock = array("$tableprenota");
$altre_tab_lock = array("$tableprenota","$tablenometariffe","$tableperiodi","$tableappartamenti","$tableclienti","$tableregole","$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

if ($priv_mod_prenota_iniziate != "s") $id_periodo_corrente = calcola_id_periodo_corrente ($anno);

$oggi = date("j/n/Y",(time() + (C_DIFF_ORE * 3600)));
$ora = date("H:i",(time() + (C_DIFF_ORE * 3600)));
echo "<font size=-2>".mex("situazione alle",$pag)." $ora ".mex("del",$pag)." $oggi</font><br>";

if ($anno_succ == "SI") { $mese = $mese + 12; }

$data_inizio_periodi = esegui_query("select * from $tableperiodi where idperiodi = 1");
$data_inizio_periodi = risul_query($data_inizio_periodi,0,datainizio);
$data_inizio_periodi = explode("-",$data_inizio_periodi);
$mese_inizio_periodi = $data_inizio_periodi[1];
if ($mese < $mese_inizio_periodi) { $mese = $mese_inizio_periodi; }
$data_fine_periodi = esegui_query("select max(idperiodi) from $tableperiodi");
$id_data_fine_periodi = risul_query($data_fine_periodi,0,0);
$data_fine_periodi = esegui_query("select * from $tableperiodi where idperiodi = '$id_data_fine_periodi'");
$data_fine_periodi = risul_query($data_fine_periodi,0,datainizio);
$data_fine_periodi = explode("-",$data_fine_periodi);
$mese_fine_periodi = $data_fine_periodi[1] + (($data_fine_periodi[0] - $anno) * 12);
if ($mese > $mese_fine_periodi) { $mese = $mese_fine_periodi; }

$tipo_periodi = "g";
$aggiunta_tronca = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'aggiunta_tronca_nomi_tab1' and idutente = '$id_utente'");
$aggiunta_tronca = risul_query($aggiunta_tronca,0,valpersonalizza_num);
if ($aggiunta_tronca < -2) $aggiunta_tronca = -2;

$appartamenti = esegui_query("select * from $tableappartamenti order by idappartamenti");
$num_appartamenti = numlin_query($appartamenti);

if ($priv_vedi_tab_mesi == "p") {
unset($condizioni_regole1_consentite);
unset($appartamenti_consentiti);
unset($appartamenti_consentiti_regola1);
unset($appartamenti_consentiti_regola2);
unset($periodo_consentito_app);
if ($attiva_regole1_consentite != "n") {
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
$appartamenti_consentiti_regola1[$id_appartamento] = "NO";
} # fine for $num1
for ($num1 = 0 ; $num1 < count($regole1_consentite) ; $num1++) if ($regole1_consentite[$num1]) $condizioni_regole1_consentite .= "motivazione = '".$regole1_consentite[$num1]."' or ";
if ($condizioni_regole1_consentite) {
$condizioni_regole1_consentite = "(".str_replace("motivazione = ' '","motivazione = '' or motivazione is null",substr($condizioni_regole1_consentite,0,-4)).")";
$appartamenti_regola1 = esegui_query("select idregole,iddatainizio,iddatafine,app_agenzia from $tableregole where $condizioni_regole1_consentite order by app_agenzia");
for ($num1 = 0 ; $num1 < numlin_query($appartamenti_regola1) ; $num1++) {
$id_appartamento = risul_query($appartamenti_regola1,$num1,app_agenzia);
if ($appartamenti_consentiti_regola1[$id_appartamento] != "SI") {
$appartamenti_consentiti_regola1[$id_appartamento] = "SI";
for ($num2 = 1 ; $num2 <= $id_data_fine_periodi ; $num2++) $periodo_consentito_app[$id_appartamento][$num2] = "NO";
} # fine if ($appartamenti_consentiti_regola1[$id_appartamento] != "SI")
$iddatainizio_regola1 = risul_query($appartamenti_regola1,$num1,iddatainizio);
$iddatafine_regola1 = risul_query($appartamenti_regola1,$num1,iddatafine);
for ($num2 = $iddatainizio_regola1 ; $num2 <= $iddatafine_regola1 ; $num2++) $periodo_consentito_app[$id_appartamento][$num2] = "SI";
} # fine for $num1
} # fine if ($condizioni_regole1_consentite)
} # fine if ($attiva_regole1_consentite != "n")
if (($priv_mod_assegnazione_app != "s" or $priv_mod_prenotazioni != "s") and ($priv_ins_assegnazione_app != "s" or $priv_ins_nuove_prenota != "s")) {
$tutti_app_consentiti = "NO";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$regola2 = esegui_query("select motivazione from $tableregole where tariffa_per_app = '$tariffa'");
if (numlin_query($regola2) == 0) {
$tutti_app_consentiti = "SI";
break;
} # fine if (numlin_query($regola2) == 0)
else {
$appartamenti_regola2 = explode(",",risul_query($regola2,0,motivazione));
for ($num1 = 0 ; $num1 < count($appartamenti_regola2) ; $num1++) $appartamenti_consentiti_regola2[$appartamenti_regola2[$num1]] = "SI";
} # fine else if (numlin_query($regola2) == 0)
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
if ($tutti_app_consentiti != "SI") {
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
if ($appartamenti_consentiti_regola2[$id_appartamento] != "SI") $appartamenti_consentiti_regola2[$id_appartamento] = "NO";
} # fine for $num1
} # fine if ($tutti_app_consentiti != "SI")
} # fine if (($priv_mod_assegnazione_app != "s" or...
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
if ($appartamenti_consentiti_regola1[$id_appartamento] != "NO" and $appartamenti_consentiti_regola2[$id_appartamento] != "NO") $appartamenti_consentiti[$id_appartamento] = "SI";
else $appartamenti_consentiti[$id_appartamento] = "NO";
} # fine for $num1
} # fine if ($priv_vedi_tab_mesi == "p")

$linee_ripeti_date_tab_mesi = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'linee_ripeti_date_tab_mesi' and idutente = '$id_utente'");
$linee_ripeti_date_tab_mesi = risul_query($linee_ripeti_date_tab_mesi,0,valpersonalizza_num);

$num_righe_app_max = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_linee_tab2_prenota' and idutente = '$id_utente'");
$num_righe_app_max = risul_query($num_righe_app_max,0,valpersonalizza_num);
$num_tabelle = floor($num_righe_app_max/$num_appartamenti);
$mese_ini_for = $mese;
$mese_fine_for = $mese;
$mese_da_aggiungere = "dopo";
for ($num1 = 2 ; $num1 <= $num_tabelle ; $num1++) {
if ($mese_fine_for >= $mese_fine_periodi) $mese_da_aggiungere = "prima";
if ($mese_da_aggiungere == "prima") {
if ($mese_ini_for <= $mese_inizio_periodi) $mese_da_aggiungere = "dopo";
else $mese_ini_for--;
} # fine if ($mese_da_aggiungere == "prima")
if ($mese_da_aggiungere == "dopo" and $mese_fine_for < $mese_fine_periodi) $mese_fine_for++;
if ($mese_da_aggiungere == "prima") $mese_da_aggiungere = "dopo";
else $mese_da_aggiungere = "prima";
} # fine for $num1

if ($tutti_mesi) {
$mese_ini_for = $mese_inizio_periodi;
$mese_fine_for = $mese_fine_periodi;
$orig_tutti_mesi = "?tutti_mesi=SI";
} # fine if ($tutti_mesi)

for ($mese2 = $mese_ini_for ; $mese2 <= $mese_fine_for ; $mese2 = $mese2 + 1) {

if ($mese2 == 25) {
$mese_mostra = 1;
$anno_mostra = $anno + 2;
} # fine if ($mese == 25)
else {
if ($mese2 > 12) {
$mese_mostra = $mese2 - 12;
$anno_mostra = $anno + 1;
} # fine if ($mese > 12)
else {
$mese_mostra = $mese2;
$anno_mostra = $anno;
} # fine else if ($mese > 12)
} # fine else if ($mese == 25)

if ($mese2 != $mese_ini_for) echo "<table><tr><td heigth=6></td></tr></table>";
echo "<table align=\"center\"><tr><td width=100 align=\"right\">";
if ($mese != 1) {
$mese_indietro = $mese - 1; 
echo "<a href=\"tabella3.php?anno=$anno&id_sessione=$id_sessione&mese=$mese_indietro\"><--</a>&nbsp;&nbsp;&nbsp;&nbsp;";
} # fine if ($mese != 1)
echo "</td><td align=\"center\">
<font size=+1><b>".mex("Tabella prenotazioni del",$pag)." $mese_mostra-$anno_mostra.</b></font></center>
</td><td width=100 align=\"left\">";
if ($mese != 25) {
$mese_avanti = $mese + 1; 
echo "&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"tabella3.php?anno=$anno&id_sessione=$id_sessione&mese=$mese_avanti\">--></a>";
} # fine if ($mese != 25)
echo "</td></tr></table>
<table border=2 cellspacing=0 cellpadding=1 align=\"center\">";
if ($mese2 != 1 and $tipo_periodi != "g") { $mese_inizio_tab = $mese2 - 1; }
else { $mese_inizio_tab = $mese2; }
$data_inizio_tab = date("Y-m-d" , mktime(0,0,0,$mese_inizio_tab,1,$anno));
$data_inizio_tab = esegui_query("select * from $tableperiodi where datainizio >= '$data_inizio_tab' order by idperiodi");
$id_data_inizio_tab = risul_query($data_inizio_tab,0,idperiodi);
#if ($mese != $mese_inizio_periodi and $mese != ($mese_inizio_periodi + 1)) $id_data_inizio_tab = $id_data_inizio_tab - 1;
if ($mese2 != 25 and $tipo_periodi != "g") { $mese_fine_tab = $mese2 + 1; }
else {$mese_fine_tab = $mese2; }
$data_fine_tab = date("Y-m-d" , mktime(0,0,0,$mese_fine_tab,31,$anno));
$data_fine_tab = esegui_query("select * from $tableperiodi where datainizio <= '$data_fine_tab' order by idperiodi");
$num_date = numlin_query($data_fine_tab);
$num_date = $num_date - 1;
$id_data_fine_tab = risul_query($data_fine_tab,$num_date,idperiodi);
$g_fine_tab = risul_query($data_fine_tab,$num_date,datafine);
$g_fine_tab = explode("-",$g_fine_tab);
$g_fine_tab = $g_fine_tab[2];
if ($g_fine_tab >= 2) { $id_data_fine_tab = $id_data_fine_tab - $g_fine_tab + 1; }
$num_colonne = $id_data_fine_tab - $id_data_inizio_tab + 1;

# controllo se vi sono prenotazioni in appartamenti cancellati o non mostrati
$num_appartamenti_cancellati = 0;
$query_prenota_app_canc = "select * from $tableprenota where iddatainizio <= '$id_data_fine_tab' and iddatafine >= '$id_data_inizio_tab'";
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1 = $num1 + 1) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
if ($priv_vedi_tab_mesi != "p" or $appartamenti_consentiti[$id_appartamento] != "NO") $query_prenota_app_canc .= " and idappartamenti != '$id_appartamento'";
} # fine for $num1
if ($priv_vedi_tab_mesi == "p") $query_prenota_app_canc .= " and utente_inserimento = '$id_utente'";
$prenota_app_canc = esegui_query($query_prenota_app_canc);
$num_prenota_app_canc = numlin_query($prenota_app_canc);
$num_app_canc = 0;
unset($app_canc_trovato);
for ($num1 = 0 ; $num1 < $num_prenota_app_canc; $num1 = $num1 + 1) {
$idapp_prenota_app_canc = risul_query($prenota_app_canc,$num1,idappartamenti);
if ($app_canc_trovato[$idapp_prenota_app_canc] != "SI") {
$app_canc_trovato[$idapp_prenota_app_canc] = "SI";
$app_canc[$num_app_canc] = $idapp_prenota_app_canc;
$num_app_canc++;
} # fine if ($app_canc_trovato[$idapp_prenota_app_canc] != "SI")
} # fine for $num1

$linea_date = "<tr><td>&nbsp;</td>";
$giorno_vedi_ini_sett = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente'");
if (numlin_query($giorno_vedi_ini_sett) == 1) $giorno_vedi_ini_sett = risul_query($giorno_vedi_ini_sett,0,valpersonalizza_num);
else $giorno_vedi_ini_sett = 0;
for ($num1 = 0 ; $num1 < $num_colonne ; $num1 = $num1 + 1) {
$id_settimana = $id_data_inizio_tab + $num1;
$riga_setimana = esegui_query("select * from $tableperiodi where idperiodi = '$id_settimana'");
$inizio_settimana = risul_query($riga_setimana,0,datainizio);
$inizio_settimana = explode("-",$inizio_settimana);
$g_inizio_settimana = $inizio_settimana[2];
$m_inizio_settimana = $inizio_settimana[1];
$a_inizio_settimana = $inizio_settimana[0];
if ($g_inizio_settimana == "01") $g_inizio_settimana = "1";
$giorno_sett_corr = date("w" , mktime(0,0,0,$m_inizio_settimana,$g_inizio_settimana,$a_inizio_settimana));
if ($giorno_sett_corr == $giorno_vedi_ini_sett) $g_inizio_settimana = "<font color=\"red\"><b>".$g_inizio_settimana."</b></font>";
$linea_date .= "<td align=\"center\"";
#if ($num1 != 0 and $num1 != ($num_colonne - 1)) echo " colspan=2";
if ($num1 != 0) $linea_date .= " colspan=2";
#if ($m_inizio_settimana == $mese_mostra or $m_fine_settimana == $mese_mostra) { echo " bgcolor =\"#DAEDFF\""; }
$linea_date .= ">$g_inizio_settimana</td>";
} # fine for $num1

$fine_settimana = risul_query($riga_setimana,0,datafine);
$fine_settimana = explode("-",$fine_settimana);
$g_fine_settimana = $fine_settimana[2];
$m_fine_settimana = $fine_settimana[1];
if ($g_fine_settimana == "01") $g_fine_settimana = "1";
$a_fine_settimana = $fine_settimana[0];
$domenica = date("D" , mktime(0,0,0,$m_fine_settimana,$g_fine_settimana,$a_fine_settimana));
if ($domenica == "Sun") $g_fine_settimana = "<font color=\"red\"><b>".$g_fine_settimana."</b></font>";
$linea_date .= "<td align=\"center\">$g_fine_settimana</td>";
$linea_date .= "<td>&nbsp;</td></tr>";
echo $linea_date;

$num_ripeti = 1;

for ($num1 = 0 ; $num1 < ($num_appartamenti + $num_app_canc) ; $num1 = $num1 + 1) {
if ($num1 < $num_appartamenti) {
$id_appartamento = risul_query($appartamenti,$num1,idappartamenti);
$condizione_prenota_propria = "";
} # fine if ($num1 < $num_appartamenti)
else {
$id_appartamento = $app_canc[($num1 - $num_appartamenti)];
if ($priv_vedi_tab_mesi == "p") $condizione_prenota_propria = " and utente_inserimento = '$id_utente'";
else $condizione_prenota_propria = "";
} # fine else if ($num1 < $num_appartamenti)
if ($priv_vedi_tab_mesi != "p" or $appartamenti_consentiti[$id_appartamento] != "NO" or $num1 >= $num_appartamenti) {

echo "<tr><td>";
if (num_caratteri_testo($id_appartamento) > 2) echo "<font size=-2>";
else echo "<font size=-1>";
if ($num1 >= $num_appartamenti) echo "<font color=\"red\">";
echo "$id_appartamento";
if ($num1 >= $num_appartamenti) echo "</font>";
echo "</font></td>";
$prenotazione_presente = esegui_query("select * from $tableprenota where idappartamenti = '$id_appartamento' and iddatainizio <= '".($id_data_inizio_tab + $num_colonne - 1)."' and iddatafine >= '$id_data_inizio_tab'$condizione_prenota_propria order by iddatainizio");
$num_prenotazione_presente = numlin_query($prenotazione_presente);
$prenota_succ = 0;
if ($num_prenotazione_presente > 0) $ini_prenota_succ = risul_query($prenotazione_presente,0,iddatainizio);
else $ini_prenota_succ = $id_data_inizio_tab + $num_colonne + 1;

for ($num2 = 0 ; $num2 < $num_colonne ; $num2 = $num2 + 1) {
$id_settimana = $id_data_inizio_tab + $num2;
if ($id_settimana >= $ini_prenota_succ) {
$esiste = 1;
$prenota_corr = $prenota_succ;
$prenota_succ++;
if ($num_prenotazione_presente > $prenota_succ) $ini_prenota_succ = risul_query($prenotazione_presente,$prenota_succ,iddatainizio);
else {
$ini_prenota_succ = (risul_query($prenotazione_presente,$prenota_corr,iddatafine) + 1);
if (($id_data_inizio_tab + $num_colonne + 1) > $ini_prenota_succ) $ini_prenota_succ = $id_data_inizio_tab + $num_colonne + 1;
} # fine else if ($num_prenotazione_presente > $prenota_succ)
} # fine if ($id_settimana >= $ini_prenota_succ)
else $esiste = 0;

if ($esiste == 1) $utente_inserimento = risul_query($prenotazione_presente,$prenota_corr,utente_inserimento);
else $utente_inserimento = $id_utente;
if ($priv_vedi_tab_mesi == "p" and ($utente_inserimento != $id_utente or ($periodo_consentito_app[$id_appartamento][$id_settimana] == "NO" and $esiste != 1))) {
if ($utente_inserimento != $id_utente) {
$id_inizio_prenota = risul_query($prenotazione_presente,$prenota_corr,iddatainizio);
$id_fine_prenota = risul_query($prenotazione_presente,$prenota_corr,iddatafine);
if ($id_inizio_prenota > $id_data_inizio_tab) $id_inizio = $id_inizio_prenota;
else $id_inizio = $id_data_inizio_tab;
if ($id_fine_prenota < $id_data_fine_tab) $id_fine = $id_fine_prenota;
else $id_fine = $id_data_fine_tab;
$colonne = $id_fine - $id_inizio + 1;
} # fine if ($utente_inserimento != $id_utente)
else {
$id_inizio = $id_settimana;
$id_fine = $id_settimana;
$colonne = 1;
} # fine else if ($utente_inserimento != $id_utente)
$fatto = "NO";
if ($id_fine == $id_data_fine_tab) $fatto = "SI";
while ($fatto == "NO") {
$id_inizio2 = $id_fine + 1;
if ($id_inizio2 >= $ini_prenota_succ) {
$utente_inserimento2 = risul_query($prenotazione_presente,$prenota_succ,utente_inserimento);
if ($utente_inserimento2 != $id_utente) {
$id_fine_prenota = risul_query($prenotazione_presente,$prenota_succ,iddatafine);
if ($id_fine_prenota < $id_data_fine_tab) $id_fine = $id_fine_prenota;
else {
$id_fine = $id_data_fine_tab;
$id_fine_prenota = $id_fine;
$fatto = "SI";
} # fine else if ($id_fine_prenota < $id_data_fine_tab)
$colonne = $id_fine - $id_inizio + 1;
$prenota_corr = $prenota_succ;
$prenota_succ++;
if ($num_prenotazione_presente > $prenota_succ) $ini_prenota_succ = risul_query($prenotazione_presente,$prenota_succ,iddatainizio);
else {
$ini_prenota_succ = (risul_query($prenotazione_presente,$prenota_corr,iddatafine) + 1);
if (($id_data_inizio_tab + $num_colonne + 1) > $ini_prenota_succ) $ini_prenota_succ = $id_data_inizio_tab + $num_colonne + 1;
} # fine else if ($num_prenotazione_presente > $prenota_succ)
} # fine if ($utente_inserimento2 != $id_utente)
else $fatto = "SI";
} # fine if ($id_inizio2 >= $ini_prenota_succ)
else {
if ($periodo_consentito_app[$id_appartamento][$id_inizio2] == "NO") {
$id_fine++;
if ($id_fine == $id_data_fine_tab) $fatto = "SI";
$colonne++;
} # fine if ($periodo_consentito_app[$id_appartamento][$$id_inizio2] == "NO")
else $fatto = "SI";
} # fine else if (numlin_query($prenotazione_successiva) == 1)
} # fine while ($fatto == "NO")
$colonne_span = $colonne * 2;
echo "<td align=\"center\" colspan=\"$colonne_span\"><b>-</b></td>";
$num2 = $num2 + $colonne - 1;
} # fine if ($priv_vedi_tab_mesi == "p" and ($utente_inserimento != $id_utente or...
else {

if ($esiste == 1) {
$id_prenota = risul_query($prenotazione_presente,$prenota_corr,idprenota);
$id_clienti = risul_query($prenotazione_presente,$prenota_corr,idclienti);
$cognome = esegui_query("select cognome,utente_inserimento from $tableclienti where idclienti = '$id_clienti'");
$mostra_cliente = "SI";
if ($vedi_clienti == "NO") $mostra_cliente = "NO";
if ($vedi_clienti == "PROPRI") {
$utente_inserimento = risul_query($cognome,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($mostra_cliente == "NO") $cognome = $id_prenota;
else $cognome = risul_query($cognome,0,cognome);

$colore = "";
$pagato = risul_query($prenotazione_presente,$prenota_corr,pagato);
if (!$pagato) { $pagato = 0; }
$caparra = risul_query($prenotazione_presente,$prenota_corr,caparra);
if (!$caparra) { $caparra = 0; }
$costo_tot = risul_query($prenotazione_presente,$prenota_corr,tariffa_tot);
if ($pagato < $caparra) { $colore = "#CC0000"; }
else { if ($pagato < $costo_tot) { $colore = "#FFCC00"; } }

$id_inizio_prenota = risul_query($prenotazione_presente,$prenota_corr,iddatainizio);
$id_fine_prenota = risul_query($prenotazione_presente,$prenota_corr,iddatafine);
if ($id_inizio_prenota > $id_data_inizio_tab) { $id_inizio = $id_inizio_prenota; }
else { $id_inizio = $id_data_inizio_tab; }
if ($id_fine_prenota < $id_data_fine_tab) { $id_fine = $id_fine_prenota; }
else { $id_fine = $id_data_fine_tab; }
$colonne = $id_fine - $id_inizio + 1;

$link_modifica = "SI";
if ($priv_mod_prenotazioni == "n") $link_modifica = "NO";
if ($priv_mod_prenotazioni == "p") {
$utente_inserimento = risul_query($prenotazione_presente,$prenota_corr,utente_inserimento);
if ($utente_inserimento != $id_utente) $link_modifica = "NO";
} # fine if ($priv_mod_prenotazioni == "p")
if ($priv_mod_prenota_iniziate != "s" and $id_periodo_corrente >= $id_inizio_prenota) $link_modifica = "NO";
if ($priv_mod_prenota_ore != "000") {
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
$data_ins = risul_query($prenotazione_presente,$prenota_corr,datainserimento);
$limite = date("YmdHis",mktime((substr($data_ins,11,2) + $priv_mod_prenota_ore),substr($data_ins,14,2),substr($data_ins,17,2),substr($data_ins,5,2),substr($data_ins,8,2),substr($data_ins,0,4)));
if ($adesso > $limite) $link_modifica = "NO";
} # fine if ($priv_mod_prenota_ore != "000")
if ($link_modifica == "SI") {
$link_modifica_inizio = "<a href=\"modifica_prenota.php?id_prenota=$id_prenota&anno=$anno&id_sessione=$id_sessione&mese=$mese&origine=tabella3.php$orig_tutti_mesi\">";
$link_modifica_fine = "</a>";
} # fine if ($link_modifica == "SI")
else {
unset($link_modifica_inizio);
unset($link_modifica_fine);
} # fine elseif ($link_modifica == "SI")

$riduci_font = "";
$lung_cognome = num_caratteri_testo($cognome);
$lung_freccia = 0;
if ($id_fine_prenota > $id_data_fine_tab or $id_inizio_prenota < $id_data_inizio_tab) $lung_freccia = 3;
$lung_non_ridotta = (3+$aggiunta_tronca)*$colonne - $lung_freccia;
if ($lung_cognome > $lung_non_ridotta) $riduci_font = "SI";
$lung_non_tronca = (3+$aggiunta_tronca)*$colonne;
if ($lung_freccia == 3) $lung_non_tronca = $lung_non_tronca - 1;
if ($lung_cognome > ($lung_non_tronca+1) and $cognome != "&nbsp;") $cognome = tronca_testo($cognome,0,$lung_non_tronca).".";
echo "<td";
#if ($colore) { echo " bgcolor =\"$colore\""; }
if ($riduci_font) echo " cellpadding=0";
$colonne_mostra = $colonne * 2;
echo " align=\"center\" colspan=\"$colonne_mostra\">";
if ($riduci_font) echo "<font size=-2>";
else echo "<font size=-1>";
if ($id_inizio_prenota < $id_data_inizio_tab) { echo "<- "; }
echo "$link_modifica_inizio$cognome$link_modifica_fine";
if ($id_fine_prenota > $id_data_fine_tab) { echo " ->"; }
echo "</font>";
echo "</td>";
$num2 = $num2 + $colonne - 1;
} # fine if ($esiste == 1)
else {
if ($esiste == 0) { echo "<td colspan=2>&nbsp;</td>"; }
else { echo "<td>".mex("ERRORE",$pag)."</td>"; }
} # fine else if ($esiste == 1)

} # fine else if ($priv_vedi_tab_mesi == "p" and ($utente_inserimento != $id_utente or...
} # fine for $num2

if ($num1 < $num_appartamenti) {
echo "<td>";
if (num_caratteri_testo($id_appartamento) > 2) echo "<font size=-2>";
else echo "<font size=-1>";
echo "$id_appartamento</font></td>";
} # fine if ($num1 < $num_appartamenti)
else {
echo "<td>";
if (num_caratteri_testo($id_appartamento) > 2) echo "<font size=-2>";
else echo "<font size=-1>";
echo "<font color=\"red\">$id_appartamento</font></font></td>";
} # fine else if ($num1 < $num_appartamenti)
echo "</tr>";

if ($num_ripeti == $linee_ripeti_date_tab_mesi) {
echo $linea_date;
$num_ripeti = 1;
} # fine if ($num_ripeti == $linee_ripeti_date_tab_mesi)
else $num_ripeti++;
} # fine if ($priv_vedi_tab_mesi != "p" or $appartamenti_consentiti[$id_appartamento] != "NO")
} # fine for $num1

echo "</table>";
} # fine for $mese2


unlock_tabelle($tabelle_lock);

echo "<table><tr><td height=2></td></tr></table>
<table align=\"center\"><tr><td width=100 align=\"right\">";
if ($mese != 1) {
$mese_indietro = $mese - 1; 
echo "<a href=\"tabella3.php?anno=$anno&id_sessione=$id_sessione&mese=$mese_indietro\"><--</a>&nbsp;&nbsp;&nbsp;&nbsp;";
} # fine if ($mese != 1)
echo "</td><td align=\"center\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"tabella.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"mese\" value=\"$mese\">
<input class=\"sbutton\" type=\"submit\" name=\"tab\" value=\"".mex("Visualizza la tabella normale",$pag)."\">
</form></td><td width=100 align=\"left\">";
if ($mese != 25) {
$mese_avanti = $mese + 1; 
echo "&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"tabella3.php?anno=$anno&id_sessione=$id_sessione&mese=$mese_avanti\">--></a>";
} # fine if ($mese != 25)
echo "</td></tr><tr><td height=2></td></tr>";

if (!$tutti_mesi) echo "<tr><td></td><td align=\"center\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"tabella3.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"mese\" value=\"$mese\">
<input class=\"sbutton\" type=\"submit\" name=\"tutti_mesi\" value=\"".mex("Visualizza tutti i mesi",$pag)."\">
</form></td><td></td></tr>";

echo "<tr><td height=2></td></tr><tr><td></td><td align=\"center\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna al menù principale",$pag)."\">
</form></td><td></td></tr></table>";




if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($anno_utente_attivato == "SI" and $priv_vedi_tab_mesi != "n")
} # fine if ($id_utente)



?>
