<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "visualizza_contratto.php";
$titolo = "Contratto php-residence";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
$tablecontratti = $PHPR_TAB_PRE."contratti";
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno;
$tableclienti = $PHPR_TAB_PRE."clienti";
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno;
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_mod_pers = risul_query($privilegi_globali_utente,0,priv_mod_pers);
if (substr($priv_mod_pers,0,1) != "s") $modifica_pers = "NO";
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_mesi = substr($priv_vedi_tab,0,1);
$priv_vedi_tab_costi = substr($priv_vedi_tab,2,1);
$priv_vedi_tab_prenotazioni = substr($priv_vedi_tab,1,1);
$priv_mod_prenota = risul_query($privilegi_annuali_utente,0,priv_mod_prenota);
$priv_mod_prenotazioni = substr($priv_mod_prenota,0,1);
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,2,1) == "s") $vedi_clienti = "SI";
if (substr($priv_ins_clienti,2,1) == "p") $vedi_clienti = "PROPRI";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
$contratti_consentiti = risul_query($privilegi_annuali_utente,0,contratti_consentiti);
$attiva_contratti_consentiti = substr($contratti_consentiti,0,1);
if ($attiva_contratti_consentiti == "s") {
$contratti_consentiti = explode(",",substr($contratti_consentiti,2));
unset($contratto_trovato);
for ($num1 = 0 ; $num1 < count($contratti_consentiti) ; $num1++) if ($contratti_consentiti[$num1] and $contratti_consentiti[$num1] == $numero_contratto) $contratto_trovato = "SI";
if ($contratto_trovato != "SI") $anno_utente_attivato = "NO";
} # fine if ($attiva_contratti_consentiti == "s")
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$modifica_pers = "SI";
$priv_vedi_tab_mesi = "s";
$priv_vedi_tab_costi = "s";
$priv_vedi_tab_prenotazioni = "s";
$priv_mod_prenotazioni = "s";
$vedi_clienti = "SI";
$attiva_contratti_consentiti = "n";
} # fine else if ($id_utente != 1)
if ($anno_utente_attivato == "SI") {




$nome_contratto = mex("contratto",$pag)."$numero_contratto";
$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente'");
$nomi_contratti = risul_query($nomi_contratti,0,valpersonalizza);
$nomi_contratti = explode("#@&",$nomi_contratti);
$num_nomi_contratti = count($nomi_contratti);
for ($num1 = 0 ; $num1 < $num_nomi_contratti ; $num1++) {
$dati_nome_contratto = explode("#?&",$nomi_contratti[$num1]);
if ($dati_nome_contratto[0] == $numero_contratto) $nome_contratto = $dati_nome_contratto[1];
} # fine for $num1



$mostra_contratto = "SI";
if ($manda_mail == "SI") {
$dati_contratto = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo $LIKE 'contr%'");
$tipo_contratto = risul_query($dati_contratto,0,tipo);
if ($tipo_contratto == "contreml") {
$mostra_contratto = "NO";
$show_bar = "NO";
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");
if ($modifica_pers == "NO") {
$mittente_email = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente'");
$mittente_email = risul_query($mittente_email,0,valpersonalizza);
} # fine if ($modifica_pers == "NO")
$maschera_envelope = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'maschera_email' and idutente = '1'");
$maschera_envelope = risul_query($maschera_envelope,0,valpersonalizza);
$allegato_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'allegato'");
$allegato_email = risul_query($allegato_email,0,testo);
if ($allegato_email) {
$allegato_email_v = explode(",",$allegato_email);
$nome_allegato = $allegato_email_v[0];
$tipo_allegato = $allegato_email_v[1];
$allegato_email = substr($allegato_email,strlen($nome_allegato.",".$tipo_allegato.","));
} # fine if ($allegato_email)
$bcc_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'bcc'");
$bcc_email = risul_query($bcc_email,0,testo);
$bcc_email = explode(";",$bcc_email);
$bcc_mittente = $bcc_email[0];
$bcc_indirizzo = $bcc_email[1];
for ($num1 = 1 ; $num1 <= $numero_email ; $num1++) {
$inviato = "";
if ($modifica_pers != "NO") $mittente_email = ${"mittente_email".$num1};
$destinatario_email = ${"destinatario_email".$num1};
if (get_magic_quotes_gpc()) {
${"oggetto_email".$num1} = stripslashes(${"oggetto_email".$num1});
${"testo_email".$num1} = stripslashes(${"testo_email".$num1});
} # fine if (get_magic_quotes_gpc())
$headers = "From: $mittente_email\r\n";
$headers .= "X-Sender: $mittente_email\r\n";
$headers .= "X-Mailer: PHP\r\n";
$headers .= "X-Priority: 3\r\n";
$headers .= "Return-Path: $mittente_email\r\n";
if ($bcc_mittente == "SI") $headers .= "Bcc: $mittente_email\r\n";
if ($bcc_indirizzo) $headers .= "Bcc: $bcc_indirizzo\r\n";
$testo_email = chunk_split(base64_encode(${"testo_email".$num1}));
if ($allegato_email and ${"allega".$num1} == "SI") {
$boundary = "--".md5(uniqid(rand()));
$headers .= "MIME-Version: 1.0\r\n";
$headers .= "Content-Type: multipart/mixed;\r\n";
$headers .= " boundary=\"$boundary\"\r\n";
$testo_email = "This is a multi-part message in MIME format.\n--$boundary\nContent-type: text/plain; charset=utf-8\nContent-Transfer-Encoding: base64\n\n$testo_email";
$testo_email .= "\n--$boundary\n";
$testo_email .= "Content-Type: $tipo_allegato;\n";
$testo_email .= " name=\"$nome_allegato\"\n";
$testo_email .= "Content-Transfer-Encoding: base64\n";
$testo_email .= "Content-Disposition: attachment;\n";
$testo_email .= " filename=\"$nome_allegato\"\n\n";
$testo_email .= $allegato_email;
if (substr($testo_email,-1) == "\n") $testo_email .= "--$boundary--";
else $testo_email .= "\n--$boundary--";
} # fine if ($allegato_email and ${"allega".$num1} == "SI")
else {
$headers .= "Content-type: text/plain; charset=utf-8\r\n";
$headers .= "Content-Transfer-Encoding: base64\r\n";
} # fine else if ($allegato_email and ${"allega".$num1} == "SI")
#echo nl2br($headers.$testo_email)."QUI<br>";
if ($maschera_envelope == "SI") $inviato = mail($destinatario_email,${"oggetto_email".$num1},$testo_email,$headers,"-f$mittente_email");
else $inviato = mail($destinatario_email,${"oggetto_email".$num1},$testo_email,$headers);
if ($inviato) {
echo mex("L'email a",$pag)." <b>$destinatario_email</b> ".mex("è stata inviata",$pag);
if ($bcc_mittente == "SI" or $bcc_indirizzo) echo " (".mex("bcc a",$pag)." ";
if ($bcc_mittente == "SI") echo $mittente_email;
if ($bcc_mittente == "SI" or $bcc_indirizzo) echo ", ";
if ($bcc_indirizzo) echo $bcc_indirizzo;
if ($bcc_mittente == "SI" or $bcc_indirizzo) echo ")";
echo ".<br>";
} # fine if ($inviato)
else echo mex("Non si è potuto inviare l'email a",$pag)." <font color=\"red\">$destinatario_email</font>.<br>";
} # fine for $num1
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");
} # fine if ($tipo_contratto == "contreml")
} # fine if ($manda_mail == "SI")

if ($mostra_contratto == "SI") {




include("./includes/variabili_contratto.php");

if (!$num_ripeti or controlla_num_pos($num_ripeti) == "NO") $num_ripeti = 1;

if (get_magic_quotes_gpc()) {
for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) {
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) ${$var_predef[$num1]."_".$n_r} = stripslashes(${$var_predef[$num1]."_".$n_r});
} # fine for $n_r
} # fine if (get_magic_quotes_gpc())


if ($lista_prenota) {
if ($priv_vedi_tab_prenotazioni != "n" or ($priv_vedi_tab_mesi != "n" and $priv_mod_prenotazioni != "n")) {
include("./includes/funzioni_costi_agg.php");
$lista_prenota = explode(",",$lista_prenota);
$num_ripeti = count($lista_prenota) - 2;
for ($num1 = 1 ; $num1 <= $num_ripeti ; $num1++) {
$id_prenota = addslashes($lista_prenota[$num1]);
$dati_prenota = esegui_query("select * from $tableprenota where idprenota = '$id_prenota'");
if (numlin_query($dati_prenota) == 1) {
$cont = "SI";
if ($priv_vedi_tab_prenotazioni != "s" and ($priv_vedi_tab_mesi != "s" or $priv_mod_prenotazioni != "s")) {
$utente_inserimento = risul_query($dati_prenota,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $cont = "NO";
} # fine if ($priv_vedi_tab_prenotazioni != "s" and ($priv_vedi_tab_mesi != "s" or $priv_mod_prenotazioni != "s"))
if ($cont == "SI") {
if ($vedi_clienti != "NO") {
$id_clienti = risul_query($dati_prenota,0,idclienti);
$dati_cliente = esegui_query("select * from $tableclienti where idclienti = $id_clienti ");
if ($vedi_clienti == "PROPRI") {
$mostra_cliente = "SI";
$utente_inserimento = risul_query($dati_cliente,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($vedi_clienti != "PROPRI" or $mostra_cliente != "NO") {
${"cognome_".$num1} = risul_query($dati_cliente,0,cognome);
${"nome_".$num1} = risul_query($dati_cliente,0,nome);
${"sesso_".$num1} = risul_query($dati_cliente,0,sesso);
${"datanascita_".$num1} = risul_query($dati_cliente,0,datanascita);
${"documento_".$num1} = risul_query($dati_cliente,0,documento);
${"scadenzadoc_".$num1} = risul_query($dati_cliente,0,scadenzadoc);
${"nazione_".$num1} = risul_query($dati_cliente,0,nazione);
${"regione_".$num1} = risul_query($dati_cliente,0,regione);
${"citta_".$num1} = risul_query($dati_cliente,0,citta);
${"via_".$num1} = risul_query($dati_cliente,0,via);
${"numcivico_".$num1} = risul_query($dati_cliente,0,numcivico);
${"telefono_".$num1} = risul_query($dati_cliente,0,telefono);
${"telefono2_".$num1} = risul_query($dati_cliente,0,telefono2);
${"telefono3_".$num1} = risul_query($dati_cliente,0,telefono3);
${"fax_".$num1} = risul_query($dati_cliente,0,fax);
${"cap_".$num1} = risul_query($dati_cliente,0,cap);
${"email_".$num1} = risul_query($dati_cliente,0,email);
${"cognome2_".$num1} = risul_query($dati_cliente,0,cognome2);
${"nome2_".$num1} = risul_query($dati_cliente,0,nome2);
${"sesso2_".$num1} = risul_query($dati_cliente,0,sesso2);
${"datanascita2_".$num1} = risul_query($dati_cliente,0,datanascita2);
${"documento2_".$num1} = risul_query($dati_cliente,0,documento2);
${"scadenzadoc2_".$num1} = risul_query($dati_cliente,0,scadenzadoc2);
} # fine if ($vedi_clienti != "PROPRI" or $mostra_cliente != "NO")
} # fine if ($vedi_clienti != "NO")
${"numero_prenotazione_".$num1} = $id_prenota;
$id_data_inizio = risul_query($dati_prenota,0,iddatainizio);
${"data_inizio_".$num1} = esegui_query("select * from $tableperiodi where idperiodi = '$id_data_inizio'");
${"data_inizio_".$num1} = risul_query(${"data_inizio_".$num1},0,datainizio);
$id_data_fine = risul_query($dati_prenota,0,iddatafine);
${"data_fine_".$num1} = esegui_query("select * from $tableperiodi where idperiodi = '$id_data_fine'");
${"data_fine_".$num1} = risul_query(${"data_fine_".$num1},0,datafine);
if ($id_data_inizio) {
$tariffa = risul_query($dati_prenota,0,tariffa);
$tariffa = explode("#@&",$tariffa);
${"nome_tariffa_".$num1} = $tariffa[0];
$costo_tariffa = (double) $tariffa[1];
${"costo_tariffa_".$num1} = $costo_tariffa;
$sconto = (double) risul_query($dati_prenota,0,sconto);
${"sconto_".$num1} = $sconto;
${"commento_".$num1} = risul_query($dati_prenota,0,commento);
$caparra = risul_query($dati_prenota,0,caparra);
${"caparra_".$num1} = $caparra;
${"num_persone_".$num1} = risul_query($dati_prenota,0,num_persone);
${"appartamento_".$num1} = risul_query($dati_prenota,0,idappartamenti);
${"app_assegnabili_".$num1} = risul_query($dati_prenota,0,app_assegnabili);
${"pagato_".$num1} = risul_query($dati_prenota,0,pagato);
$tariffesettimanali = risul_query($dati_prenota,0,tariffesettimanali);
$dati_cap = dati_costi_agg_prenota($tablecostiprenota,$id_prenota);
unset($num_letti_agg);
$costo_agg_tot = (double) 0;
for ($numca = 0 ; $numca < $dati_cap[num] ; $numca++) {
aggiorna_letti_agg_in_periodi($dati_cap,$numca,$num_letti_agg,$id_data_inizio,$id_data_fine,$dati_cap[$numca][settimane],$dati_cap[$numca][moltiplica_costo],"","");
$costo_agg_parziale = (double) calcola_prezzo_totale_costo($dati_cap,$numca,$id_data_inizio,$id_data_fine,$dati_cap[$numca][settimane],$dati_cap[$numca][moltiplica_costo],$costo_tariffa,$tariffesettimanali,($costo_tariffa + $costo_agg_tot - $sconto),$caparra);
$costo_agg_tot = (double) $costo_agg_tot + $costo_agg_parziale;
${"nome_costo_agg".$numca."_".$num1} = $dati_cap[$numca][nome];
${"val_costo_agg".$numca."_".$num1} = $costo_agg_parziale;
} # fine for $numca
${"num_costi_aggiuntivi_".$num1} = $dati_cap[num];
${"n_letti_agg_".$num1} = $num_letti_agg[max];
${"costo_tot_".$num1} = $costo_tariffa + $costo_agg_tot - $d_sconto;
if ($priv_vedi_tab_costi != "n") {
$pagamenti = esegui_query("select metodo_pagamento,saldo_prenota,data_inserimento from $tablesoldi where saldo_prenota != '' and motivazione $LIKE '%;$id_prenota' order by data_inserimento");
${"num_pagamenti_".$num1} = numlin_query($pagamenti);
for ($num2 = 0 ; $num2 < ${"num_pagamenti_".$num1} ; $num2++) {
${"data_paga".$num2."_".$num1} = substr(risul_query($pagamenti,$num2,data_inserimento),0,10);
${"metodo_paga".$num2."_".$num1} = risul_query($pagamenti,$num2,metodo_pagamento);
${"saldo_paga".$num2."_".$num1} = risul_query($pagamenti,$num2,saldo_prenota);
} # fine for $num2
} # fine if ($priv_vedi_tab_costi != "n")
} # fine if ($id_data_inizio)
} # fine if ($cont == "SI")
} # fine if (numlin_query($dati_prenota) == 1)
} # fine for $num1
} # fine if ($priv_vedi_tab_mesi == "s" or ($priv_vedi_tab_mesi == "s" and $priv_mod_prenotazioni == "s"))
} # fine if ($lista_prenota)



function crea_contratto ($numero_contratto,&$tipo_contratto,$id_utente,$id_sessione,$origine_vecchia) {

global $var_predef,$num_var_predef,$num_ripeti,$tariffa_selezionata,$num_costo_agg_sel,$anno,$pag,$lingua_mex,$tablecontratti,$tablepersonalizza,$LIKE,$modifica_pers;
for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) {
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) global ${$var_predef[$num1]."_".$n_r};
} # fine for $n_r

$stile_soldi = stile_soldi();
$stile_data = stile_data();

$variabili = esegui_query("select * from $tablecontratti where tipo = 'var' order by numero");
$num_variabili = numlin_query($variabili);
$condizioni = esegui_query("select * from $tablecontratti where tipo = 'cond' order by numero");
$num_condizioni = numlin_query($condizioni);
$dati_contratto = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo $LIKE 'contr%'");
$tipo_contratto = risul_query($dati_contratto,0,tipo);
$contratto_orig = risul_query($dati_contratto,0,testo);

if ($tipo_contratto == "contrhtm") {
$tag_b = "<b>";
$tag_no_b = "</b>";
$tag_spazio = "&nbsp;";
$tag_acapo = "<br>";
} # fine if ($tipo_contratto == "contrhtm")
if ($tipo_contratto == "contreml") {
$tag_spazio = " ";
$tag_acapo = "\n";
$oggetto_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'oggetto'");
$oggetto_email = risul_query($oggetto_email,0,testo);
$allegato_email = esegui_query("select * from $tablecontratti where numero = '$numero_contratto' and tipo = 'allegato'");
$allegato_email = risul_query($allegato_email,0,testo);
if ($allegato_email) {
$allegato_email = explode(",",$allegato_email);
$allegato_email = $allegato_email[0];
} # fine if ($allegato_email)
$mittente_email = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente'");
$mittente_email = risul_query($mittente_email,0,valpersonalizza);
} # fine if ($tipo_contratto == "contreml")
unset($tablepersonalizza);
unset($tablecontratti);
unset($id_utente);


if (str_replace("[r]","",$contratto_orig) == $contratto_orig) {
$contratto_parte[1] = $contratto_orig;
$ripeti_parte[1] = "SI";
$num_parti_contr = 1;
} # fine if (str_replace("[r]","",$contratto_orig) == $contratto_orig)
else {
$num_parti_contr = 0;
$contratto_restante = $contratto_orig;
while (str_replace("[r]","",$contratto_restante) != $contratto_restante) {
$contr_vett = explode("[r]",$contratto_restante);
if ($contr_vett[0] != "") {
$num_parti_contr++;
$contratto_parte[$num_parti_contr] = $contr_vett[0];
$ripeti_parte[$num_parti_contr] = "NO";
} # fine if ($contr_vett[0] != "")
$contratto_restante = substr($contratto_restante,(strlen($contr_vett[0]) + 3));
$contr_vett = explode("[/r]",$contratto_restante);
if ($contr_vett[0] != "") {
$num_parti_contr++;
$contratto_parte[$num_parti_contr] = $contr_vett[0];
$ripeti_parte[$num_parti_contr] = "SI";
} # fine if ($contr_vett[0] != "")
$contratto_restante = substr($contratto_restante,(strlen($contr_vett[0]) + 4));
} # fine while (str_replace("[r]","",$contratto_restante) != $contratto_restante)
if ($contratto_restante != "") {
$num_parti_contr++;
$contratto_parte[$num_parti_contr] = $contratto_restante;
$ripeti_parte[$num_parti_contr] = "NO";
} # fine if ($contratto_restante != "")
} # fine else if (str_replace("[r]","",$contratto_orig) == $contratto_orig)

for ($num1 = 0 ; $num1 < $num_variabili ; $num1++) {
$nome_var = risul_query($variabili,$num1,testo);
$num_var = risul_query($variabili,$num1,numero);
$variabile[$num_var] = $nome_var;
} # fine for $num1

if ($tipo_contratto == "contreml") {
$contratto .= "<br><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"numero_contratto\" value=\"$numero_contratto\">
<input type=\"hidden\" name=\"origine\" value=\"$origine\">
<input type=\"hidden\" name=\"origine_vecchia\" value=\"$origine_vecchia\">
<input type=\"hidden\" name=\"manda_mail\" value=\"SI\">";
if ($num_parti_contr == 1) $contratto .= "<input type=\"hidden\" name=\"numero_email\" value=\"$num_ripeti\">";
else {
$contratto .= "<input type=\"hidden\" name=\"numero_email\" value=\"1\">
<table><tr><td align=\"right\">".mex("Da",$pag).":</td><td>";
if ($modifica_pers != "NO") $contratto .= "<input type=\"text\" name=\"mittente_email1\" size=\"60\" value=\"$mittente_email\">";
else $contratto .= "<b>$mittente_email</b>";
$contratto .= "</td></tr><tr><td align=\"right\">
".mex("A",$pag).":</td><td>
<input type=\"text\" name=\"destinatario_email1\" size=\"60\" value=\"";
for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) if (${"email_".$n_r}) $contratto .= ${"email_".$n_r}.",";
if (substr($contratto,-1) == ",") $contratto = substr($contratto,0,-1);
$contratto .= "\"></td></tr><tr><td align=\"right\">
".mex("Oggetto",$pag).":</td><td>
<input type=\"text\" name=\"oggetto_email1\" size=\"60\" value=\"$oggetto_email\"></td></tr>";
if ($allegato_email) {
$contratto .= "<tr><td></td><td><input type=\"checkbox\" name=\"allega1\" value=\"SI\" checked>
".mex("Allega",$pag)." <b>$allegato_email</b></td></tr>";
} # fine if ($allegato_email)
$contratto .= "<tr><td height=\"3\"></td></tr></table>
<textarea name=\"testo_email1\" rows=32 cols=90>";
} # fine else if ($num_parti_contr == 1)
} # fine if ($tipo_contratto == "contreml")
unset($id_sessione);
unset($origine);


for ($n_p = 1 ; $n_p <= $num_parti_contr ; $n_p++) {
if ($ripeti_parte[$n_p] == "SI") {

$costo_tot_somma_ripetizioni_1 = 0;
$caparra_somma_ripetizioni_1 = 0;
$resto_caparra_somma_ripetizioni_1 = 0;
$pagato_somma_ripetizioni_1 = 0;
$resto_da_pagare_somma_ripetizioni_1 = 0;

for ($n_r = 1 ; $n_r <= $num_ripeti ; $n_r++) {


for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
${$var_predef[$num1]} = ${$var_predef[$num1]."_".$n_r};
} # fine for $num1

$oggi = date("j/n/Y",(time() + (C_DIFF_ORE * 3600)));

$tutti_i_costi_agg = "";
$tutti_i_costi_agg_p = "";
for ($numca = 0 ; $numca < $num_costi_aggiuntivi ; $numca++) {
$nome_costo_agg = "nome_costo_agg".$numca."_".$n_r;
$val_costo_agg = "val_costo_agg".$numca."_".$n_r;
global $$nome_costo_agg,$$val_costo_agg;
$nome_costo_agg = $$nome_costo_agg;
$val_costo_agg = $$val_costo_agg;
$val_costo_agg_p = punti_in_num($val_costo_agg,$stile_soldi);
$tutti_i_costi_agg .= "$nome_costo_agg: $val_costo_agg$tag_acapo";
$tutti_i_costi_agg_p .= "$nome_costo_agg: $val_costo_agg_p$tag_acapo";
if ($num_costo_agg_sel == $numca) {
$nome_costo_agg_sel = $nome_costo_agg;
$valore_costo_agg_sel = $val_costo_agg;
$valore_costo_agg_sel_p = $val_costo_agg_p;
} # fine if ($num_costo_agg_sel == $numca)
} # fine for $numca

$tutti_i_pagamenti = "";
$tutti_i_pagamenti_p = "";
for ($num1 = 0 ; $num1 < $num_pagamenti ; $num1++) {
$saldo_paga = "saldo_paga".$num1."_".$n_r;
$data_paga = "data_paga".$num1."_".$n_r;
$metodo_paga = "metodo_paga".$num1."_".$n_r;
global $$saldo_paga,$$data_paga,$$metodo_paga;
$data_paga_f = formatta_data($$data_paga,$stile_data);
$saldo_paga_p = punti_in_num($$saldo_paga);
$tutti_i_pagamenti .= str_replace(" ","$tag_spazio",$data_paga_f."  ".$$saldo_paga."  ".$$metodo_paga)."$tag_acapo";
$tutti_i_pagamenti_p .= str_replace(" ","$tag_spazio",$data_paga_f."  ".$saldo_paga_p."  ".$$metodo_paga)."$tag_acapo";
} # fine for $num1
$valore_ultimo_pagamennto = ${"saldo_paga".($num_pagamenti -1)."_".$n_r};
$valore_ultimo_pagamennto_p = punti_in_num($valore_ultimo_pagamennto);
$data_ultimo_pagamento = formatta_data(${"data_paga".($num_pagamenti -1)."_".$n_r});
$metodo_ultimo_pagamento = ${"metodo_paga".($num_pagamenti -1)."_".$n_r};


if ($tariffa_selezionata) {
$c_tot_selez = "c_tot_selez".$tariffa_selezionata."_".$n_r;
global $$c_tot_selez;
if ($$c_tot_selez) $costo_tot = $$c_tot_selez;
$c_tariffa_selez = "c_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$c_tariffa_selez;
if ($$c_tariffa_selez) $costo_tariffa = $$c_tariffa_selez;
$n_tariffa_selez = "n_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$n_tariffa_selez;
if ($$n_tariffa_selez) $nome_tariffa = $$n_tariffa_selez;
$cap_tariffa_selez = "cap_tariffa_selez".$tariffa_selezionata."_".$n_r;
global $$cap_tariffa_selez;
if ($$cap_tariffa_selez) $caparra = $$cap_tariffa_selez;
} # fine if ($tariffa_selezionata)

if ($costo_tot) $costo_tot_somma_ripetizioni = $costo_tot_somma_ripetizioni + $costo_tot;
if ($caparra) $caparra_somma_ripetizioni = $caparra_somma_ripetizioni + $caparra;
if ($costo_tot) $resto_caparra_somma_ripetizioni = $resto_caparra_somma_ripetizioni + $costo_tot;
if ($caparra) $resto_caparra_somma_ripetizioni = $resto_caparra_somma_ripetizioni - $caparra;
if ($pagato) $pagato_somma_ripetizioni = $pagato_somma_ripetizioni + $pagato;
if ($costo_tot) $resto_da_pagare_somma_ripetizioni = $resto_da_pagare_somma_ripetizioni + $costo_tot;
if ($pagato) $resto_da_pagare_somma_ripetizioni = $resto_da_pagare_somma_ripetizioni - $pagato;
${"costo_tot_somma_ripetizioni_".($n_r + 1)} = $costo_tot_somma_ripetizioni;
${"caparra_somma_ripetizioni_".($n_r + 1)} = $caparra_somma_ripetizioni;
${"resto_caparra_somma_ripetizioni_".($n_r + 1)} = $resto_caparra_somma_ripetizioni;
${"pagato_somma_ripetizioni_".($n_r + 1)} = $pagato_somma_ripetizioni;
${"resto_da_pagare_somma_ripetizioni_".($n_r + 1)} = $resto_da_pagare_somma_ripetizioni;

for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,testo);
$condizione = explode("#%?",$condizione);
if ($condizione[0] == "if") {
$var_if = $condizione[1];
$var_then = $variabile[$condizione[4]];
if ($condizione[2] == "=") if ($$var_if == $condizione[3]) $$var_then = $condizione[5];
if ($condizione[2] == "!=") if ($$var_if != $condizione[3]) $$var_then = $condizione[5];
} # fine if ($condizione[0] == "if")
} # fine for $num1

if (!$nome) $nome = "$tag_b"."____________________$tag_no_b";
if (!$nome2) $nome2 = "$tag_b"."____________________$tag_no_b";
if (!$cognome) $cognome = "$tag_b"."_________________$tag_no_b";
if (!$cognome2) $cognome2 = "$tag_b"."_________________$tag_no_b";
if (!$datanascita) $datanascita = "$tag_b"."______________$tag_no_b";
else $datanascita = formatta_data($datanascita,$stile_data);
if (!$datanascita2) $datanascita2 = "$tag_b"."______________$tag_no_b";
else $datanascita2 = formatta_data($datanascita2,$stile_data);
if (!$documento) $documento = " $tag_b"."________________________________$tag_no_b";
if (!$documento2) $documento2 = " $tag_b"."________________________________$tag_no_b";
if (!$nazione) $nazione = "$tag_b"."_____________$tag_no_b";
if (!$regione) $regione = "$tag_b"."_____________$tag_no_b";
if (!$citta) $citta = "$tag_b"."___________________$tag_no_b";
if (!$via) $via2 = mex("via",$pag)." $tag_b"."________________________________$tag_no_b";
else $via2 = $via;
if (!$via) $via = "$tag_b"."________________________________$tag_no_b";
if (!$numcivico) $numcivico = "$tag_b"."_____$tag_no_b";
if (!$telefono) $telefono = "$tag_b"."__________________$tag_no_b";
if (!$telefono2) $telefono2 = "$tag_b"."__________________$tag_no_b";
if (!$telefono3) $telefono3 = "$tag_b"."__________________$tag_no_b";
if (!$fax) $fax = "$tag_b"."__________________$tag_no_b";
if (!$email) $email = "$tag_b"."__________________$tag_no_b";
if (!$cap) $cap = "$tag_b"."________$tag_no_b";
if ($num_persone == "non specificato" or $num_persone == "") {
$num_persone = "$tag_b"."_____$tag_no_b";
$num_persone_tot = "$tag_b"."_____$tag_no_b";
} # fine if ($num_persone == "non specificato" or $num_persone == "")
else { $num_persone_tot = $num_persone + $n_letti_agg; }
if ($costo_tot and $caparra) {
$resto_caparra = $costo_tot - $caparra;
$resto_caparra_p = punti_in_num($resto_caparra,$stile_soldi);
} # fine if ($costo_tot and $caparra)
else {
$resto_caparra = "$tag_b"."_____________$tag_no_b";
$resto_caparra_p = "$tag_b"."_____________$tag_no_b";
} # fine else if ($costo_tot and $caparra)
if (!$caparra or $caparra == 0) {
$caparra = "$tag_b"."___________$tag_no_b";
$caparra_p = "$tag_b"."___________$tag_no_b";
} # fine if (!$caparra or $caparra == 0)
else $caparra_p = punti_in_num($caparra,$stile_soldi);
if ($costo_tot) {
$resto_da_pagare = $costo_tot - $pagato;
$resto_da_pagare_p = punti_in_num($resto_da_pagare,$stile_soldi);
} # fine if ($costo_tot)
else {
$resto_da_pagare = "$tag_b"."_____________$tag_no_b";
$resto_da_pagare_p = "$tag_b"."_____________$tag_no_b";
} # fine else if ($costo_tot)
if (!$data_inizio) $data_inizio = "$tag_b"."______________$tag_no_b";
else $data_inizio = formatta_data($data_inizio,$stile_data);
if (!$data_fine) $data_fine = "$tag_b"."______________$tag_no_b";
else $data_fine = formatta_data($data_fine,$stile_data);
if (!$nome_tariffa) $nome_tariffa = "$tag_b"."____________________$tag_no_b";
if (!$costo_tariffa) {
$costo_tariffa = "$tag_b"."____________________$tag_no_b";
$costo_tariffa_p = "$tag_b"."____________________$tag_no_b";
} # fine if (!$costo_tariffa)
else $costo_tariffa_p = punti_in_num($costo_tariffa,$stile_soldi);
if (!$sconto) {
$sconto = "$tag_b"."____________$tag_no_b";
$sconto_p = "$tag_b"."____________$tag_no_b";
} # fine if (!$sconto)
else $sconto_p = punti_in_num($sconto,$stile_soldi);
if (!$commento) $commento = "$tag_b"."______________________$tag_no_b";
if (!$appartamento) $appartamento = "$tag_b"."____$tag_no_b";
if (!$app_assegnabili) $app_assegnabili = "$tag_b"."_________________$tag_no_b";
if (!$pagato) {
$pagato = "$tag_b"."_____________$tag_no_b";
$pagato_p = "$tag_b"."_____________$tag_no_b";
} # fine if (!$pagato)
else $pagato_p = punti_in_num($pagato,$stile_soldi);
if (!$costo_tot) {
$costo_tot = "$tag_b"."_____________$tag_no_b";
$costo_tot_p = "$tag_b"."_____________$tag_no_b";
} # fine if (!$costo_tot)
else $costo_tot_p = punti_in_num($costo_tot,$stile_soldi);
if (!$n_letti_agg) $n_letti_agg = "$tag_b"."____$tag_no_b";
if (!$numero_prenota) $numero_prenota = "$tag_b"."____$tag_no_b";


include("./dati/lingua.php");
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != ".." && $ini_lingua != $lingua_mex) {
include("./includes/lang/$ini_lingua/visualizza_contratto_var.php");
} # fine if ($file != "." && $file != ".." && $ini_lingua != $lingua)
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
if ($lingua_mex != "ita") include("./includes/lang/".$lingua_mex."/visualizza_contratto_var.php");

if ($tipo_contratto == "contreml" and $num_parti_contr == 1) {
$contratto .= "<table><tr><td align=\"right\">".mex("Da",$pag).":</td><td>";
if ($modifica_pers != "NO") $contratto .= "<input type=\"text\" name=\"mittente_email1\" size=\"60\" value=\"$mittente_email\">";
else $contratto .= "<b>$mittente_email</b>";
$contratto .= "</td></tr><tr><td align=\"right\">
".mex("A",$pag).":</td><td>
<input type=\"text\" name=\"destinatario_email$n_r\" size=\"60\" value=\"".${"email_".$n_r}."\">
</td></tr><tr><td align=\"right\">
".mex("Oggetto",$pag).":</td><td>
<input type=\"text\" name=\"oggetto_email$n_r\" size=\"60\" value=\"$oggetto_email\"></td></tr>";
if ($allegato_email) {
$contratto .= "<tr><td></td><td><input type=\"checkbox\" name=\"allega$n_r\" value=\"SI\" checked>
".mex("Allega",$pag)." <b>$allegato_email</b></td></tr>";
} # fine if ($allegato_email)
$contratto .= "<tr><td height=\"3\"></td></tr></table>
<textarea name=\"testo_email$n_r\" rows=32 cols=90>";
} # fine if ($tipo_contratto == "contreml" and $num_parti_contr == 1)


$contratto_r = $contratto_parte[$n_p];
$contr_vett = explode("[",$contratto_r);
$num_contr_vett = count($contr_vett);
$contr_parziale = "";
for ($num1 = 0 ; $num1 < $num_contr_vett ; $num1++) {
$contr_parziale .= $contr_vett[$num1]."[";
$resto_contr = substr($contratto_parte[$n_p],strlen($contr_parziale));
$lettera = (string) substr($resto_contr,0,1);
if ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "") {
$num2 = 1;
$lettere_var = $lettera;
while (ereg_replace("[A-Za-z0-9_]","SI",$lettera) == "SI") {
$lettera = (string) substr($resto_contr,$num2,1);
if ($lettera == "]") $contratto_r = str_replace("[".$lettere_var."]",${$lettere_var},$contratto_r);
$lettere_var .= $lettera;
$num2++;
} # fine while (ereg_replace("[A-Za-z0-9]","SI",$lettera) == "SI")
} # fine ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "")
} # fine for $num1
$contratto .= $contratto_r;


if ($tipo_contratto == "contreml" and $num_parti_contr == 1) {
$contratto .= "</textarea><br>
</table><table><tr><td height=\"3\"></td></tr></table>
<hr align=\"left\" width=\"95%\">";
} # fine if ($tipo_contratto == "contreml" and $num_parti_contr == 1)

} # fine for $n_r

} # fine if ($ripeti_parte[$n_p] == "SI")


else {
$costo_tot_somma_ripetizioni_p = punti_in_num($costo_tot_somma_ripetizioni,$stile_soldi);
$caparra_somma_ripetizioni_p = punti_in_num($caparra_somma_ripetizioni,$stile_soldi);
$resto_caparra_somma_ripetizioni_p = punti_in_num($resto_caparra_somma_ripetizioni,$stile_soldi);
$pagato_somma_ripetizioni_p = punti_in_num($pagato_somma_ripetizioni,$stile_soldi);
$resto_da_pagare_somma_ripetizioni_p = punti_in_num($resto_da_pagare_somma_ripetizioni,$stile_soldi);

include("./dati/lingua.php");
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != ".." && $ini_lingua != $lingua_mex) {
include("./includes/lang/$ini_lingua/visualizza_contratto_var.php");
} # fine if ($file != "." && $file != ".." && $ini_lingua != $lingua)
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
if ($lingua_mex != "ita") include("./includes/lang/".$lingua_mex."/visualizza_contratto_var.php");

$contratto_r = $contratto_parte[$n_p];
$contr_vett = explode("[",$contratto_r);
$num_contr_vett = count($contr_vett);
$contr_parziale = "";
for ($num1 = 0 ; $num1 < $num_contr_vett ; $num1++) {
$contr_parziale .= $contr_vett[$num1]."[";
$resto_contr = substr($contratto_parte[$n_p],strlen($contr_parziale));
$lettera = (string) substr($resto_contr,0,1);
if ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "") {
$num2 = 1;
$lettere_var = $lettera;
while (ereg_replace("[A-Za-z0-9_]","SI",$lettera) == "SI") {
$lettera = (string) substr($resto_contr,$num2,1);
if ($lettera == "]") $contratto_r = str_replace("[".$lettere_var."]",${$lettere_var},$contratto_r);
$lettere_var .= $lettera;
$num2++;
} # fine while (ereg_replace("[A-Za-z0-9]","SI",$lettera) == "SI")
} # fine ($lettera and ereg_replace("[A-Za-z]","",$lettera) == "")
} # fine for $num1
$contratto .= $contratto_r;
} # fine else if ($ripeti_parte[$n_p] == "SI")

} # fine for $n_p


if ($tipo_contratto == "contreml") {
if ($num_parti_contr != 1) {
$contratto .= "</textarea><br>
</table><table><tr><td height=\"3\"></td></tr></table>
<hr align=\"left\" width=\"95%\">";
} # fine if ($num_parti_contr != 1)
$contratto .= "<input class=\"sbutton\" type=\"submit\" value=\"".mex("Spedisci",$pag)."\">
</form>";
} # fine if ($tipo_contratto == "contreml")


return $contratto;

} # fine function crea_contratto




$mostra_headers = "SI";
$contratto = crea_contratto($numero_contratto,$tipo_contratto,$id_utente,$id_sessione,$origine,$origine_vecchia);



if ($tipo_contratto == "contrhtm") $show_bar = "NO";
if ($tipo_contratto == "contrrtf") {
$mostra_headers = "NO";
$nome_file = str_replace("\\","_",str_replace("/","_",str_replace(" ","_",$nome_contratto))).".rtf";
header("Pragma: public");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: pre-check=0, post-check=0, max-age=0");
header("Content-Transfer-Encoding: none");
header("Content-Type: application/rtf; name=\"$nome_file\"");
#header("Content-Type: application/octetstream; name=\"$nome_file\"");
#header("Content-Type: application/octet-stream; name=\"$nome_file\"");
header("Content-Disposition: inline; filename=\"$nome_file\"");
#header("Content-length: $lunghezza_file");
} # fine if ($tipo_contratto == "contrrtf")


if ($mostra_headers == "SI") {
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");
} # fine if ($mostra_headers == "SI")

echo $contratto;

if ($mostra_headers == "SI") {
if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");
} # fine if ($mostra_headers == "SI")



} # fine if ($mostra_contratto == "SI")

if ($tipo_contratto == "contreml") {
if (!$origine) $origine = "./inizio.php";
echo "<br><br><form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"origine_vecchia\" value=\"$origine_vecchia\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna indietro",$pag)."\">
</form>";
} # fine if ($tipo_contratto == "contreml")

} # fine if ($anno_utente_attivato == "SI")
} # fine if ($id_utente)



?>
